Loading...
Searching...
No Matches
exceptions File Reference
L4Re C++ Interface » C++ Exceptions

Base exceptions. More...

`#include <l4/cxx/l4types.h>`
`#include <l4/cxx/basic_ostream>`
`#include <l4/sys/err.h>`
`#include <l4/sys/capability>`
`#include <l4/util/backtrace.h>`
Include dependency graph for exceptions:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | L4::Exception_tracer
| Back-trace support for exceptions. More...
class | L4::Base_exception
| Base class for all exceptions, thrown by the L4Re framework. More...
class | L4::Runtime_error
| Exception for an abstract runtime error. More...
class | L4::Out_of_memory
| Exception signalling insufficient memory. More...
class | L4::Element_already_exists
| Exception for duplicate element insertions. More...
class | L4::Unknown_error
| Exception for an unknown condition. More...
class | L4::Element_not_found
| Exception for a failed lookup (element not found). More...
class | L4::Invalid_capability
| Indicates that an invalid object was invoked. More...
class | L4::Com_error
| Error conditions during IPC. More...
class | L4::Bounds_error
| Access out of bounds. More...

## Namespaces

namespace | L4
| L4 low-level kernel interface.

## Macros

#define | L4_CXX_EXCEPTION_BACKTRACE 20
| Number of instruction pointers in backtrace.

## Detailed Description

Base exceptions.

Definition in file exceptions.